/**
  **********************************************************************************
  * @file      ebyte_core.h
  * @brief     EBYTEϲAPIװ ͻײ߼    
  * @details   μ https://www.ebyte.com/       
  * @author    JiangHeng     
  * @date      2021-05-13     
  * @version   1.0.0     
  **********************************************************************************
  * @copyright BSD License 
  *            ɶڰصӿƼ޹˾  
  *   ______   ____   __     __  _______   ______ 
  *  |  ____| |  _ \  \ \   / / |__   __| |  ____|
  *  | |__    | |_) |  \ \_/ /     | |    | |__   
  *  |  __|   |  _ <    \   /      | |    |  __|  
  *  | |____  | |_) |    | |       | |    | |____ 
  *  |______| |____/     |_|       |_|    |______| 
  *
  **********************************************************************************
  */

#include "ebyte_conf.h"

#if   defined(EBYTE_E22_400M22S)||defined(EBYTE_E22_900M22S)
#include "ebyte_e22x.h"

#elif defined(EBYTE_E220_400M22S)||defined(EBYTE_E220_900M22S)
#include "ebyte_e220x.h"

#elif defined(EBYTE_E10_400M20S)||defined(EBYTE_E10_900M20S) 
#include "ebyte_e10x.h"

#elif defined(EBYTE_E07_900M10S)
#include "ebyte_e07x.h"

#elif defined(EBYTE_E49_400M20S)||defined(EBYTE_E49_900M20S)
#include "ebyte_e49x.h"

#elif defined(EBYTE_E42_400M20S)||defined(EBYTE_E42_900M20S)
#include "hw3000.h"
#else
#error No product selected !
#endif
#ifndef STRUCT_CFG
//״̬л

typedef struct
{
    void   ( *Init )( void );                           //ʼ
    void   ( *Send )(uint8_t *buff, uint16_t len );     //лģʽ
    void   ( *EnterSleepMode )(void);                   //δʹҪԼ
    void   ( *EnterReceiveMode )(void);                 //лģʽ ʼ
    uint8_t   ( *StartPollTask)( void );                //ѯ ڵ
    void   ( *InterruptTrigger)( void );               //жϺʱ
    uint8_t* ( *GetName ) (void );                      //ȡģʶ룬Ӳ޹
    uint8_t ( *GetDriverVersion ) (void );              //ȡ汾ţӲ޹
}Ebyte_RF_t; 

#endif
#define STRUCT_CFG
extern const Ebyte_RF_t Ebyte_RF;



