/**
  **********************************************************************************
  * @file      ebyte_callback.h
  * @brief     EBYTEշɻص ɿͻʵԼ߼ 
  * @details   μ https://www.ebyte.com/       
  * @author    JiangHeng     
  * @date      2021-05-13     
  * @version   1.0.0     
  **********************************************************************************
  * @copyright BSD License 
  *            ɶڰصӿƼ޹˾  
  *   ______   ____   __     __  _______   ______ 
  *  |  ____| |  _ \  \ \   / / |__   __| |  ____|
  *  | |__    | |_) |  \ \_/ /     | |    | |__   
  *  |  __|   |  _ <    \   /      | |    |  __|  
  *  | |____  | |_) |    | |       | |    | |____ 
  *  |______| |____/     |_|       |_|    |______| 
  *
  **********************************************************************************
  */
#include "ebyte_callback.h"
#include <stm8l15x.h>
/*= !!!ĿӲƽ̨ͷļ =======================================*/

/*= !!!ĿӲ       =======================================*/

/*==================================================================*/
extern void UserReceiveDoneCallback( uint8_t *buffer, uint16_t length);


/* !
 * @brief ɻصӿ ɿͻʵԼķ߼
 * 
 * @param state ϲصṩ״̬ ͻʾעҵӦ
 *  
 * @note E22x ģṩ״̬
 *         IRQ_TX_DONE                             = 0x0001,
 *         IRQ_RX_DONE                             = 0x0002,
 *         IRQ_PREAMBLE_DETECTED                   = 0x0004,
 *         IRQ_SYNCWORD_VALID                      = 0x0008,
 *         IRQ_HEADER_VALID                        = 0x0010,
 *         IRQ_HEADER_ERROR                        = 0x0020,
 *         IRQ_CRC_ERROR                           = 0x0040,
 *         IRQ_CAD_DONE                            = 0x0080,
 *         IRQ_CAD_ACTIVITY_DETECTED               = 0x0100,
 *         IRQ_RX_TX_TIMEOUT                       = 0x0200, 
 */
void Ebyte_Port_TransmitCallback( uint16e_t state )
{       
    /* :  */
    if( state &= 0x0001 )
    {
        //To-do ʵԼ߼ 
    }
    /* : 쳣ʱ */
    else if ( state &= 0x0200 )
    {
        //To-do ʵԼ߼ 
    }
    /* : δ֪ */
    else
    {
        /* ״̬ʶȷӲ  
            1:SPIͨŲȷ 2:ģ鹩粻 */
        while(1);
    }
}

/* !
 * @brief ɻصӿ ɿͻʵԼķ߼
 * 
 * @param state ϲصṩ״̬ ͻʾעҵӦ
 * 
 * @note E22x ģṩ״̬
 *         IRQ_TX_DONE                             = 0x0001,
 *         IRQ_RX_DONE                             = 0x0002,
 *         IRQ_PREAMBLE_DETECTED                   = 0x0004,
 *         IRQ_SYNCWORD_VALID                      = 0x0008,
 *         IRQ_HEADER_VALID                        = 0x0010,
 *         IRQ_HEADER_ERROR                        = 0x0020,
 *         IRQ_CRC_ERROR                           = 0x0040,
 *         IRQ_CAD_DONE                            = 0x0080,
 *         IRQ_CAD_ACTIVITY_DETECTED               = 0x0100,
 *         IRQ_RX_TX_TIMEOUT                       = 0x0200, 
 */
void Ebyte_Port_ReceiveCallback( uint8_t *buffer, uint16_t length )
{

      UserReceiveDoneCallback(buffer,length);


}